import * as React from 'react';
import { EnhancedType } from '../common-types';
import { DropDownButtonProps } from './DropDownButton';
export interface BadgeSelectProps extends DropDownButtonProps {
    items: string[];
    extraPrefix?: string[];
    extraSuffix?: string[];
    extra?: string[];
    onItemChange?: (value: string) => void;
    defaultSelected?: string;
    placeholder?: string;
}
export interface BadgeSelectState {
    selected: string | null | undefined;
}
declare class BadgeSelect extends React.Component<EnhancedType<BadgeSelectProps>, BadgeSelectState> {
    constructor(props: EnhancedType<BadgeSelectProps>);
    setSelected(selected: string): void;
    render(): JSX.Element;
}
export default BadgeSelect;
