import * as React from 'react';
import { Coloring, DefaultProps, EnhancedType, ResponsiveStyle } from '../common-types';
export interface DropDownButtonProps extends DefaultProps, Coloring {
    disabled?: boolean;
    label?: JSX.Element;
    border?: boolean;
    joined?: boolean;
    outline?: boolean;
    alignRight?: boolean;
    noListFormat?: boolean;
    width?: ResponsiveStyle;
    maxHeight?: string | number;
}
declare const _default: React.ComponentType<EnhancedType<DropDownButtonProps>>;
export default _default;
