import * as React from 'react';
import { DefaultProps, ResponsiveStyle, Theme } from '../common-types';
import { ButtonAnchorProps, ButtonProps } from './Button';
export interface ModalProps extends DefaultProps {
    title?: string;
    width?: ResponsiveStyle;
    titleElement?: string | JSX.Element;
    titleDetails?: string | JSX.Element;
    action?: string | JSX.Element;
    cancel?: () => any;
    done: () => any;
    primaryButtonProps?: ButtonProps | ButtonAnchorProps;
    secondaryButtonProps?: ButtonProps | ButtonAnchorProps;
    cancelButtonProps?: ButtonProps | ButtonAnchorProps;
    containerStyle?: React.CSSProperties;
}
export interface ThemedModalProps extends ModalProps {
    theme: Theme;
}
declare const _default: React.ComponentType<ModalProps>;
export default _default;
