import * as React from 'react';
import { Coloring, DefaultProps, Sizing, Theme } from '../common-types';
export interface ProgressBarProps extends DefaultProps, Coloring, Sizing {
    value: number;
    color?: string;
    background?: string;
}
export interface ThemedProgressBarProps extends ProgressBarProps {
    theme: Theme;
}
declare const _default: React.ComponentType<import("../common-types").EnhancedType<ProgressBarProps>>;
export default _default;
