import * as React from 'react';
import { DefaultProps } from '../common-types';
export interface TextareaProps extends DefaultProps {
    monospace?: boolean;
    autoComplete?: string;
    autoFocus?: boolean;
    cols?: number;
    dirName?: string;
    disabled?: boolean;
    form?: string;
    maxLength?: number;
    minLength?: number;
    name?: string;
    placeholder?: string;
    readOnly?: boolean;
    required?: boolean;
    rows?: number;
    value?: string;
    wrap?: string;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement>;
    autoRows?: boolean;
    maxRows?: number;
    minRows?: number;
}
declare const _default: React.ComponentType<import("../common-types").EnhancedType<TextareaProps>>;
export default _default;
