import * as React from 'react';
import { EnhancedType } from './common-types';
export declare const withStyledSystem: (child: React.ComponentType<{}>) => React.ForwardRefExoticComponent<Pick<any, string> & React.RefAttributes<{}>>;
export declare const withTooltip: (Base: React.ComponentType<{}>) => React.ForwardRefExoticComponent<Pick<any, string> & React.RefAttributes<{}>>;
export default function asRendition<T>(component: React.ComponentType<T>, additionalEnhancers?: Array<(Base: React.ComponentType) => React.ComponentType>, passthroughProps?: string[]): React.ComponentType<EnhancedType<T>>;
