import * as React from 'react';
import { Coloring, EnhancedType, Theme } from '../common-types';
import { BoxProps } from './Grid';
export interface BadgeProps extends BoxProps, Coloring {
    text: string;
    small?: boolean;
    color?: string;
    bg?: string;
}
export interface ThemedBadgeProps extends BadgeProps {
    theme: Theme;
}
declare const _default: React.ComponentType<EnhancedType<BadgeProps>>;
export default _default;
