import * as React from 'react';
import { DefaultProps, EnhancedType, Tooltip } from '../common-types';
import { TxtProps } from './Txt';
export interface CodeWithCopyProps extends DefaultProps, Tooltip, TxtProps {
    color?: string;
    copy?: string;
    text: string;
    showCopyButton?: 'hover' | 'always';
}
export interface CodeWithCopyBaseProps extends DefaultProps, Tooltip, TxtProps {
    showCopyButton?: 'hover' | 'always';
}
declare const _default: React.ComponentType<EnhancedType<CodeWithCopyProps>>;
export default _default;
